package kandata.launcher;


import javax.swing.JFrame;


class GrowWindowThread extends Thread {
	JFrame frame;
	int width;
	int height;
	GrowWindowThread(JFrame frame, int width, int height) {
		this.frame = frame;
		this.width = width;
		this.height = height;
	}
	public void run() {
		for (int h=0; h<height; h+=20) {
			frame.setSize(width, h);
			try {
				Thread.sleep(10L);
			} catch (InterruptedException e) {}
		}
		frame.setSize(width, height);
		frame.setVisible(true);
	}
}
